الفوترة
إلغاء الخطة
إلغاء خطة الفوترة
POST
/
v1
/
public
/
accounts
/
{account_id}
/
billing
/
cancel-plan
إلغاء خطة الفوترة
curl --request POST \
--url https://api.hybridbox.io/v1/public/accounts/{account_id}/billing/cancel-plan \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"cancel_at_period_end": true,
"cancel_immediately": false
}
'import requests
url = "https://api.hybridbox.io/v1/public/accounts/{account_id}/billing/cancel-plan"
payload = {
"cancel_at_period_end": True,
"cancel_immediately": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({cancel_at_period_end: true, cancel_immediately: false})
};
fetch('https://api.hybridbox.io/v1/public/accounts/{account_id}/billing/cancel-plan', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "<string>",
"account_status": "<string>",
"effective_at": "2023-11-07T05:31:56Z",
"eligible": true,
"previous_plan_id": "<string>",
"target_plan_id": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}التفويضات
Public API bearer credential sent as Authorization: Bearer <token>. Use either an OAuth access token or a Hybridbox Service account token.
معلمات المسار
الجسم
application/json
الاستجابة
حالة عملية الفوترة
حالة الحساب بعد العملية
عندما أصبح تغيير الفاتورة ساري المفعول
ما إذا كان الحساب مؤهلاً لهذه العملية
معرف خطة الفوترة السابقة
معرف خطة الفوترة المستهدفة
هل كانت هذه الصفحة مفيدة؟
⌘I
إلغاء خطة الفوترة
